%define	name	libwmf
%define	version	0.2.1
%define release 1mdk

Summary:	A library to convert wmf files.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Text tools
BuildRequires:	XFree86-devel libpng-devel libxml2-devel libxpm4-devel freetype2-devel
URL:		http://sourceforge.net/projects/wvware/
Source:		http://download.sourceforge.net/wvware/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
libwmf is a library for unix like machines that can convert wmf
files into other formats, currently it supports a gd binding
to convert to gif, and an X one to draw direct to an X window
or pixmap.

%package -n libwmf0.2_1
Summary:	A library to convert wmf files. - library files
Group:		System/Libraries
Requires:	libwmf-fonts

%description -n libwmf0.2_1
This package contains the library needed to run programs dynamically
linked with libwmf.

%package fonts
Summary:	A library to convert wmf files. - fonts data
Group:		Text tools

%description fonts
This package contains the fonts needed to run programs dynamically
linked with libwmf.

%package -n libwmf0.2_1-devel
Summary:	A library to convert wmf files. - development environment
Group:		Development/C
Requires:	libwmf0.2_1 = %{version}
Provides:	libwmf-devel = %{version} libwmf0.2-devel = %{version}
Obsoletes:	libwmf-devel < %{version}-%{release}

%description -n libwmf0.2_1-devel
libwmf is a library for unix like machines that can convert wmf
files into other formats, currently it supports a gd binding
to convert to gif, and an X one to draw direct to an X window
or pixmap.

Install libwmf-devel if you need to compile an application with libwmf
support.

%prep
%setup -q -n %{name}-%{version}
CFLAGS=$RPM_OPT_FLAGS ./configure --prefix=%{_prefix} --with-ttf=%{_prefix}

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_docdir}
mv $RPM_BUILD_ROOT%{_prefix}/share/doc/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp COPYING CREDITS README NEWS $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n libwmf0.2_1 -p /sbin/ldconfig

%postun -n libwmf0.2_1 -p /sbin/ldconfig

%files
# beware not to take gd files here!
%defattr(-,root,root)
%docdir %{_docdir}/%{name}-%{version}
%{_docdir}/%{name}-%{version}
%{_bindir}/wmf2*

%files -n libwmf0.2_1
# beware not to take gd files here!
%defattr(-,root,root)
%doc COPYING
%{_libdir}/libwmf-*so*

%files fonts
# beware not to take gd files here!
%defattr(-,root,root)
%doc COPYING
%{_bindir}/libwmf-fontmap
%{_datadir}/libwmf

%files -n libwmf0.2_1-devel
# beware not to take gd files here!
%defattr(-,root,root)
%doc ChangeLog COPYING
%{_bindir}/libwmf-config
%{_libdir}/libwmf.la
%{_libdir}/libwmf.so
%{_libdir}/*.a
%{_includedir}/libwmf

%changelog
* Fri Aug 24 2001 Franois Pons <fpons@mandrakesoft.com> 0.2.1-1mdk
- 0.2.1.

* Mon Jul 02 2001 Franois Pons <fpons@mandrakesoft.com> 0.2.0-3mdk
- clean up and split to create libwmf0.2_0 and libwmf-fonts,
  renamed libwmf-devel to libwmf0.2_0-devel.

* Sun Jul 01 2001 Stefan van der Eijk <stefan@eijk.nu> 0.2.0-2mdk
- BuildRequires:	libpng-devel
- BuildRequires:	libxml2-devel
- BuildRequires:	freetype2-devel
- Removed BuildRequires:	freetype-devel

* Mon Jun 18 2001  Daouda Lo <daouda@mandrakesoft.com> 0.2.0-1mdk
- release 0.2.0
- spec cleanups

* Tue Dec 19 2000 Franois Pons <fpons@mandrakesoft.com> 0.1.21-1mdk
- update files and requires.
- 0.1.21.

* Tue Nov  7 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.1.19-4mdk
- fix summary

* Fri Oct 20 2000 Franois Pons <fpons@mandrakesoft.com> 0.1.19-3mdk
- avoid updating gd with older version here, newer does not run with.

* Fri Oct 20 2000 Franois Pons <fpons@mandrakesoft.com> 0.1.19-2mdk
- reverted back include files where they are expected.

* Fri Oct 20 2000 Franois Pons <fpons@mandrakesoft.com> 0.1.19-1mdk
- macroszifications.
- moved include files to a specific directory.
- updated URL and download page to latest modified version.
- 0.1.19.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.1.8-4mdk
- automatically added BuildRequires

* Tue May 02 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.1.8-3mdk
- fix group

* Wed Apr 21 1999 Sean P. Kane <kane@ca.metsci.com>
- Upgraded to version 0.1.8

* Tue Apr 13 1999 Ryan Weaver <ryanw@infohwy.com>
  [libwmf-0.1.7-1]
- Initial RPM Build
- 0.1.7
- added ability to gd to read xbm's from data, rather than file,
  changed source accordingly, dont need to carry xbm's around
  anymore.
- changed configure script to agressively find the xpm header file,
- tested to work under aix (of all things :-))
- tested to work under solaris.
- checked that it reports lack of xpm lib, and fails to go any
  further.
- fiddled a bit more, and libwmf now works cleanly with mswordview,
  all cheer.
